## tdelibs-trinity 14.1.5

=== dnssd/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${AVAHI_TQT_INCLUDE_DIRS}
  ${AVAHI_CLIENT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
  ${AVAHI_TQT_LIBRARY_DIRS}
  ${AVAHI_CLIENT_LIBRARY_DIRS}
)

##### headers ###################################

install( FILES
    domainbrowser.h query.h remoteservice.h
    publicservice.h servicebase.h servicebrowser.h
    ${CMAKE_CURRENT_BINARY_DIR}/settings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/dnssd )


##### tdednssd ####################################

set( target tdednssd )

set( ${target}_SRCS
  remoteservice.cpp responder.cpp servicebase.cpp
  settings.kcfgc publicservice.cpp query.cpp
  domainbrowser.cpp servicebrowser.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK tdecore-shared
  LINK_PRIVATE ${AVAHI_TQT_LIBRARIES} ${AVAHI_CLIENT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== doc/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( common )
add_subdirectory( tdespell )

=== interfaces/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( tdetexteditor )
add_subdirectory( tdescript )
add_subdirectory( kregexpeditor )
add_subdirectory( tdemediaplayer )
add_subdirectory( tdeio )
add_subdirectory( terminal )
add_subdirectory( khexedit )
add_subdirectory( tdeimproxy )
add_subdirectory( kspeech )

=== kate/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )
add_subdirectory( part )
add_subdirectory( data )
add_subdirectory( scripts )
add_subdirectory( plugins )

=== kglib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${GLIB2_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${GLIB2_LIBRARY_DIRS}
  ${GOBJECT2_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    TGlibEventLoop.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )



#### kglib ######################################

tde_add_library( kglib SHARED
  SOURCES TGlibEventLoop.cpp
  VERSION 0.0.0
  LINK ${TQT_LIBRARIES}
  LINK_PRIVATE ${GLIB2_LIBRARIES} ${GOBJECT2_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kimgio/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${USE_EXCEPTIONS} )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
  ${TIFF_LIBRARY_DIRS}
)


##### kimg_eps ##################################

set( target kimg_eps )

tde_add_kpart( ${target}
  SOURCES eps.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_xview ################################

set( target kimg_xview )

tde_add_kpart( ${target}
  SOURCES xview.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_tiff #################################

if( TIFF_FOUND )
  set( target kimg_tiff )
  tde_add_kpart( ${target}
    SOURCES tiffr.cpp
    LINK tdecore-shared ${TIFF_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  tde_create_translated_desktop(
    SOURCE tiff.kimgio
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR mimetypes
  )
endif( TIFF_FOUND )


##### kimg_ico ##################################

set( target kimg_ico )

tde_add_kpart( ${target}
  SOURCES ico.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_jp2 ##################################

if( JASPER_FOUND )
  set( target kimg_jp2 )
  tde_add_kpart( ${target}
    SOURCES jp2.cpp
    LINK tdecore-shared ${JASPER_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  tde_create_translated_desktop(
    SOURCE jp2.kimgio
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR mimetypes
  )
endif( JASPER_FOUND )


##### kimg_pcx ##################################

set( target kimg_pcx )
tde_add_kpart( ${target}
  SOURCES pcx.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_tga ##################################

set( target kimg_tga )
tde_add_kpart( ${target}
  SOURCES tga.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_rgb ##################################

set( target kimg_rgb )
tde_add_kpart( ${target}
  SOURCES rgb.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_xcf ##################################

set( target kimg_xcf )
tde_add_kpart( ${target}
  SOURCES xcf.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_dds ##################################

set( target kimg_dds )
tde_add_kpart( ${target}
  SOURCES dds.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_exr ##################################

if( OPENEXR_FOUND )
  set( target kimg_exr )
  tde_add_kpart( ${target}
    SOURCES exr.cpp
    LINK tdecore-shared ${OPENEXR_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  # FIXME COMPILE_FLAGS must be written a little better
  string(REGEX REPLACE ";" " -I" OPENEXR_INCLUDE_FLAGS "-I${OPENEXR_INCLUDE_DIRS}")
  set_target_properties( ${target}-module PROPERTIES COMPILE_FLAGS "${OPENEXR_INCLUDE_FLAGS}" )
  tde_create_translated_desktop(
    SOURCE exr.kimgio
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR mimetypes
  )
endif( OPENEXR_FOUND )


##### kimg_psd ##################################

set( target kimg_psd )
tde_add_kpart( ${target}
  SOURCES psd.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

##### kimg_hdr ##################################

set( target kimg_hdr )
tde_add_kpart( ${target}
  SOURCES hdr.cpp
  LINK tdecore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kimg_webp #################################

if( HAVE_WEBP )
  set( target kimg_webp )
  tde_add_kpart( ${target}
    SOURCES webp.cpp
    LINK tdecore-shared ${WEBP_LIBRARIES}
    DESTINATION ${PLUGIN_INSTALL_DIR}
  )
  tde_create_translated_desktop(
    SOURCE webp.kimgio
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR mimetypes
  )
endif( HAVE_WEBP )


##### other data ################################

tde_create_translated_desktop(
  SOURCE
    png.kimgio xpm.kimgio bmp.kimgio pbm.kimgio pgm.kimgio
    ppm.kimgio xbm.kimgio jpeg.kimgio xv.kimgio eps.kimgio
    ico.kimgio gif.kimgio pcx.kimgio tga.kimgio rgb.kimgio
    xcf.kimgio dds.kimgio mng.kimgio psd.kimgio hdr.kimgio
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR mimetypes
)

=== kjs/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
  ${LIBPCRE2_INCLUDEDIR}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
  ${LIBPCRE2_LIBDIR}
)


##### headers ###################################

install( FILES
    value.h types.h object.h interpreter.h operations.h
    ustring.h lookup.h ${CMAKE_CURRENT_BINARY_DIR}/global.h
    identifier.h property_map.h reference.h reference_list.h
    completion.h scope_chain.h list.h simple_number.h function.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kjs )


##### libkjs ####################################

set( target kjs )

set( ${target}_SRCS
  ustring.cpp date_object.cpp collector.cpp nodes.cpp
  grammar.cpp lexer.cpp lookup.cpp operations.cpp
  regexp.cpp function_object.cpp string_object.cpp
  bool_object.cpp number_object.cpp internal.cpp
  array_object.cpp math_object.cpp object_object.cpp
  regexp_object.cpp error_object.cpp function.cpp
  debugger.cpp value.cpp list.cpp object.cpp
  interpreter.cpp property_map.cpp nodes2string.cpp
  identifier.cpp reference.cpp reference_list.cpp
  scope_chain.cpp dtoa.cpp
)

tde_add_luts(
  array_object.cpp math_object.cpp date_object.cpp
  number_object.cpp string_object.cpp
)

tde_add_lut( keywords.table lexer.lut.h lexer.cpp )

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK tdecore-shared
  LINK_PRIVATE ${LIBPCRE2_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== licenses/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    BSD GPL_V2 LGPL_V2 GPL_V3 LGPL_V3 QPL_V1.0 ARTISTIC MIT
  DESTINATION ${DATA_INSTALL_DIR}/LICENSES )

=== mimetypes/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( application )
add_subdirectory( text )
add_subdirectory( audio )
add_subdirectory( video )
add_subdirectory( image )
add_subdirectory( inode )
add_subdirectory( message )
add_subdirectory( multipart )
add_subdirectory( model )
add_subdirectory( uri )

##### other data ################################

tde_create_translated_desktop(
  SOURCE all.desktop allfiles.desktop
  DESTINATION ${MIME_INSTALL_DIR}/all
  PO_DIR mimetypes
)

=== networkstatus/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/kded
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    serviceiface.h provideriface.h connectionmanager.h
    networkstatuscommon.h networkstatusindicator.h
    networkstatusiface.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

tde_create_translated_desktop(
  SOURCE networkstatus.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
)


##### networkstatus #############################

set( target networkstatus )

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES networkstatuscommon.cpp
  VERSION 0.0.0
  LINK  tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### connectionmanager #########################

set( target connectionmanager )

set( ${target}_SRCS
  connectionmanager.cpp networkstatusindicator.cpp
  connectionmanager.skel clientiface.stub networkstatusiface.stub
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 0.0.0
  LINK networkstatus-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kded_networkstatus ########################

set( target kded_networkstatus )

set( ${target}_SRCS
  networkstatus.cpp network.cpp networkstatus.skel
  clientiface.skel serviceiface.skel
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeinit_kded-shared networkstatus-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### networkstatustestservice ##################

set( target networkstatustestservice )

set( ${target}_SRCS
  testservice.cpp provideriface.skel serviceiface.stub
)

tde_add_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK networkstatus-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdeabc/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vcard )
add_subdirectory( vcardparser )
add_subdirectory( formats )
add_subdirectory( plugins )
add_subdirectory( tests )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/vcard/include
  ${CMAKE_CURRENT_SOURCE_DIR}/vcard/include/generated
  ${CMAKE_CURRENT_SOURCE_DIR}/vcardparser

  # external includes
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/kab
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    address.h addressbook.h  addresseedialog.h
    agent.h distributionlist.h distributionlistdialog.h
    distributionlisteditor.h errorhandler.h field.h
    format.h formatfactory.h formatplugin.h geo.h key.h
    phonenumber.h picture.h plugin.h resource.h secrecy.h
    resourceselectdialog.h sound.h stdaddressbook.h
    timezone.h vcardconverter.h vcardformat.h lock.h
    vcardformatplugin.h ldifconverter.h addresslineedit.h
    ldapclient.h addresseelist.h locknull.h ldif.h
    ldapurl.h ldapconfigwidget.h sortmode.h
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeabc )


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdeab2tdeabc.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
  PO_DIR tdeabc-desktops
)

tde_create_translated_desktop(
  SOURCE tdeabc_manager.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources
  PO_DIR tdeabc-desktops
)

install( FILES countrytransl.map DESTINATION ${DATA_INSTALL_DIR}/tdeabc )


##### generated files ###########################
# FIXME this hack make compatibility with out-of-source mode

file( COPY
    scripts/makeaddressee scripts/addressee.src.cpp
    scripts/addressee.src.h scripts/entrylist scripts/field.src.cpp
  DESTINATION scripts )

add_custom_command(
  OUTPUT addressee.cpp addressee.h field.cpp
  COMMAND perl
  ARGS makeaddressee
  DEPENDS scripts/addressee.src.cpp scripts/addressee.src.h scripts/entrylist scripts/field.src.cpp
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/scripts
)

add_custom_target(
  addressee_files
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.h
    ${CMAKE_CURRENT_BINARY_DIR}/field.cpp
)

##### tdeabc ######################################

set( target tdeabc )

set( ${target}_SRCS
  address.cpp addressbook.cpp addressee.cpp addresseedialog.cpp
  agent.cpp distributionlist.cpp distributionlistdialog.cpp
  distributionlisteditor.cpp errorhandler.cpp field.cpp
  formatfactory.cpp geo.cpp key.cpp phonenumber.cpp
  picture.cpp plugin.cpp resource.cpp resourceselectdialog.cpp
  secrecy.cpp sound.cpp stdaddressbook.cpp timezone.cpp
  vcard21parser.cpp vcardconverter.cpp vcardformat.cpp
  vcardformatimpl.cpp vcardformatplugin.cpp ldifconverter.cpp
  addresslineedit.cpp ldapclient.cpp addresseelist.cpp
  vcardtool.cpp addresseehelper.cpp lock.cpp locknull.cpp
  ldif.cpp ldapurl.cpp ldapconfigwidget.cpp sortmode.cpp
  addresseehelper.skel
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK vcards-static vcard-shared tdeio-shared tderesources-shared
  DEPENDENCIES addressee_files
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeab2tdeabc ##################################

set( target tdeab2tdeabc )

set( ${target}_SRCS
  tdeab2tdeabc.cpp
)

tde_add_executable( ${target}
  SOURCES ${${target}_SRCS}
  LINK kab-static tdeabc-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdecert/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_BINARY_DIR}/tdeio/kssl
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
  ${CMAKE_SOURCE_DIR}/tdeio/kssl
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdecertpart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES tdecertpart.rc DESTINATION ${DATA_INSTALL_DIR}/tdecertpart )


##### libtdecertpart ##############################

set( target libtdecertpart )

set( ${target}_SRCS
  tdecertpart.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdelibs-trinity (4:14.1.5-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 27 Oct 2025 13:48:19 +0100

=== debian/control ===
Source: tdelibs-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, sharutils,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
 libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libopenexr-dev (>= 1.2.2-4.1), libpcre2-dev,
 libsasl2-dev, libxcomposite-dev, libdbus-1-tqt-dev,
 libtiff-dev, libwebp-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 texinfo, libogg-dev, libtqtinterface-dev,
 lsb-release, base-files, sudo, libr-dev,
 libudev-dev, libltdl-dev, libmagic-dev, libnm-dev, libpcsclite-dev,
 opensc-pkcs11 | opensc (<< 0.13.0-5), libpkcs11-helper1-dev, libcryptsetup-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: tdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-trinity (<< 4:14.0.0~)
Breaks: kdelibs-trinity (<< 4:14.0.0~)
Provides: tdelibs
Depends: tdelibs14-trinity (>= ${source:Version}) | tdelibs14t64-trinity (>= ${source:Version}),
 tdelibs-data-trinity (>= ${source:Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: tdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-trinity (<< 4:14.0.0~)
Breaks: kdelibs-data-trinity (<< 4:14.0.0~)
Conflicts: kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
Depends: hicolor-icon-theme
Provides: tdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Depends: ${shlibs:Depends}, tdelibs-data-trinity,
 netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
 libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
Recommends: hwdata, xdg-user-dirs, systemd | elogind | consolekit
Suggests: fam, perl-suid
Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in tdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-imagetops-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: netpbm
Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
Description: core libraries and binaries for all TDE applications
 This package contains the imagetops binary needed for print filters.
 .
 This binary has been included as part of newer versions of the netpbm
 package. Therefore, to avoid conflict, it was separated from the
 tdelibs14-trinity package into a separate package.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-trinity-dev (<< 4:14.0.0~)
Breaks: kdelibs4-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre2-dev,
 liblua5.4-dev | liblua5.3-dev | liblua5.2-dev | liblua5.1-dev | liblualib50-dev,
 libsasl2-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
 libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
Recommends: libcupsys2-dev | libcups2-dev
Provides: tdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-trinity-doc (<< 4:14.0.0~)
Breaks: kdelibs4-trinity-doc (<< 4:14.0.0~)
Provides: tdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-trinity-dbg (<< 4:14.0.0~)
Breaks: kdelibs-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
Depends: tdelibs14-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for tdelibs
 This package contains the debugging symbols associated with tdelibs.
 They will automatically be used by gdb for debugging tdelibs-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= t64
else
DEB_TIME64_SUFFIX	=
endif


DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_WEBP="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ISPELL="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DDEFAULT_SPELL_CHECKER="ASPELL" \
 -DWITH_ELFICON="ON" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_TDEHWLIB_DAEMONS="ON" \
 -DWITH_LOGINDPOWER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_UDISKS="ON" \
 -DWITH_UDISKS2="ON" \
 -DWITH_UDEVIL="ON" \
 -DWITH_CONSOLEKIT="ON" \
 -DWITH_NETWORK_MANAGER_BACKEND="ON" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DWITH_PCSC="ON" \
 -DWITH_PKCS="ON" \
 -DWITH_CRYPTSETUP="ON" \
 -DWITH_IMAGETOPS_BINARY="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_tdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=tdelibs-trinity-dbg

binary-install/tdelibs-data-trinity::
	install -p -D -m644 kded/tde-applications.menu debian/tdelibs-data-trinity/opt/trinity/etc/xdg/menus/tde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/tdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/apps/tdeui/pics/abouttde.png debian/icons/abouttde-kubuntu.png.uu

#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/computer.png debian/icons/cr16-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/computer.png debian/icons/cr22-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/computer.png debian/icons/cr32-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/computer.png debian/icons/cr48-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/computer.png debian/icons/cr64-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/computer.png debian/icons/cr128-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/computer.svgz debian/icons/crsc-device-computer.svgz.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/tdelibs14-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
endif

binary-install/tdelibs14$(DEB_TIME64_SUFFIX)-trinity::
	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tdecmshell debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity/opt/trinity/bin/tdecmshell

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/tdelibs14-trinity\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/tdelibs14$(DEB_TIME64_SUFFIX)-trinity.$${a##*.} && mv $$a $$a.t64); \
	done
	sed -i -e "s/^tdelibs14-trinity /tdelibs14$(DEB_TIME64_SUFFIX)-trinity /" debian/tdelibs14t64-trinity.lintian
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: tdelibs14\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(tdelibs\\)4c2a-trinity\\( \|$$\)/\\1:\\2\\34c2a-trinity, \\314-trinity\\4/" \
	    -e "s/\\(tdelibs14\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	    debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/tdelibs14$(DEB_TIME64_SUFFIX)-trinity\." | \
	xargs -r rm
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^\\(Package: tdelibs14\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(tdelibs\\)4c2a-trinity\\( \|$$\)/\\1:\\2\\34c2a-trinity, \\314-trinity\\4/" \
	    -e "s/\\(tdelibs14\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	    debian/control
else
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif

## tdelibs-trinity 14.1.6~pre2

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a0f72fdc07e7a20ebd2712ce6fcdbb4704a54916
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 02:24:01 +0100

## tdelibs-trinity 14.1.6~pre3

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for baf4af6da162cdb81564ae27f10448089abf7456
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Dec 2025 02:49:05 +0100

## tdelibs-trinity 14.1.6~pre4

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 885742791e599c681bc490b5b3244effd1c9f2a8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 01:00:25 +0100

## tdelibs-trinity 14.1.6~pre7

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre7-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for 568c87597681809a97066ce8505cfcae19559489
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:05 +0100

## tdelibs-trinity 14.1.6~pre9

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre9-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3c2c88ea183817b1ef57fe83e6d81497c4580767
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:16:30 +0100

## tdelibs-trinity 14.1.6~pre11

=== debian/changelog ===
tdelibs-trinity (4:14.1.6~pre11-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 11327ad2da4128bb7ec04fe5e4fa8a6605b3a0c5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdelibs

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:17:33 +0100
